package com.goafanti.expenseAccount.service.impl;

import com.goafanti.common.dao.ExpenseConfigDetailsMapper;
import com.goafanti.common.model.ExpenseConfigDetails;
import com.goafanti.expenseAccount.service.ExpenseConfigService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class ExpenseConfigServiceImpl implements ExpenseConfigService {


    @Autowired
    private ExpenseConfigDetailsMapper expenseConfigDetailsMapper;




    @Override
    public Object addDeTails(ExpenseConfigDetails details) {
        expenseConfigDetailsMapper.insertSelective(details);
        return details;
    }

    @Override
    public Object deleteDeTails(Integer id) {
        expenseConfigDetailsMapper.deleteByPrimaryKey(id);
        return 1;
    }





}
